%global pypi_name etcd3gw
%global srcname etcd3gw

%if 0%{?fedora}
%global with_python3 1
%endif

Name:           python-%{pypi_name}
Version:        0.2.4
Release:        1%{?dist}
Summary:        A python client for etcd3 grpc-gateway

License:        ASL 2.0
URL:            https://github.com/dims/etcd3-gateway
Source0:        https://files.pythonhosted.org/packages/source/e/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A python client for etcd3 grpc-gateway. You'll need one of the
centos-release-openstack-<version> package to install python dependencies.

%package -n python2-%{pypi_name}
Summary:        A python client for etcd3 grpc-gateway
%{?python_provide:%python_provide python2-%{pypi_name}}

# BuildRequires:       centos-release-openstack-pike
BuildRequires:       python-chardet
BuildRequires:       python2-certifi
BuildRequires:       python2-devel
BuildRequires:       python2-futures
BuildRequires:       python2-futurist
BuildRequires:       python2-idna
BuildRequires:       python-monotonic
BuildRequires:       python2-pbr
BuildRequires:       python2-requests
BuildRequires:       python2-six
BuildRequires:       python-setuptools
BuildRequires:       python-urllib3

Requires:       python-chardet
Requires:       python2-devel
Requires:       python2-certifi
Requires:       python2-futures
Requires:       python2-futurist
Requires:       python2-idna
Requires:       python-monotonic
Requires:       python2-pbr
Requires:       python2-requests
Requires:       python2-six
Requires:       python-setuptools
Requires:       python-urllib3

%description -n python2-%{pypi_name}
A python client for etcd3 grpc-gateway

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        A python client for etcd3 grpc-gateway
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:       python3-devel
BuildRequires:       python3-urllib3
BuildRequires:       python3-six
BuildRequires:       python3-setuptools

Requires:    python3-idna
Requires:    python3-urllib3

%description -n python3-%{pypi_name}
A python client for etcd3 grpc-gateway. You'll need one of the
centos-release-openstack-<version> package to install python dependencies.

%endif

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-%{pypi_name}
%doc HACKING.rst CONTRIBUTING.rst README.md
%license LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc HACKING.rst CONTRIBUTING.rst README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif

%changelog
* Thu Sep 27 2018 Simon Piette <simon.piette@ubisoft.com> - 0.2.4-1
- Bumped version to 0.2.4

* Thu Apr 12 2018 Simon Piette <simon.piette@ubisoft.com> - 0.2.1-1
- Initial package.
